Skip to content
[WIP] The next major version of the Directus API
PHP
Branch: master
Clone or download

README.md

Directus Logo  Directus


WIP

This is a work-in-progress branch. Please DO NOT use this for any kind of environment besides development, testing and out of curiosity only.

Objectives

  • Properly tested codebase
    • Keep track of code coverage
    • Static code analysis
  • Code quality
    • Linting
    • Code style checks and fixes

Installing

To install Directus package, you should make some changes to your composer.json file. Then you can use the directus/directus package using dev-* versions. This requirement is temporary as we develop the new version.

Allow "dev" stability

    "minimum-stability": "dev",

Add the repository

    "repositories": [
        {
            "type": "vcs",
            "url":  "git@github.com:directus/api-next.git"
        }
    ]

(OR) Add a local repository

If you want to use a local repository, you should use a symlink instead.

    "repositories": [
        {
            "type": "path",
            "url": "/path/to/directus/api-next",
            "symlink": true
        }
    ],

Add the dependency

composer require directus/directus
You can’t perform that action at this time.